Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.ejb
Class EJBWrapperPolicy

`java.lang.Object
oracle.toplink.ejb.EJBWrapperPolicy`

All Implemented Interfaces:
  java.io.Serializable, WrapperPolicy

Direct Known Subclasses:
  BMPWrapperPolicy, WSWrapperPolicy

public abstract class EJBWrapperPolicy
extends java.lang.Object
implements WrapperPolicy

Purpose: Allow for EntityBean descriptors to store information about the bean properties.

Since:
  TOPLink/Java 3.0
See Also:
  Serialized Form

Constructor Summary
`EJBWrapperPolicy()` PUBLIC: Default constructor.

Method Summary
`java.lang.Class` | `getHomeInterface()` PUBLIC: The home interface defines how a bean is accessed and queried.
`java.lang.String` | `getHomeName()` PUBLIC: The home name is the name or URL that the bean's home is stored in JNDI under.
`java.lang.Class` | `getPrimaryKeyClass()` PUBLIC: The primary key class is the class that represents the bean's primary key.
`java.lang.Class` | `getRemoteInterface()` PUBLIC: The remote interface defines a bean's public interface.
`boolean` | `hasCustomPrimaryKey()` PUBLIC: Answer whether the primary key is custom (such as AccountPK) or non-custom (such as java.lang.Integer)
`boolean` | `isTraversable()` REQUIRED: Return if the wrapped value should be traverse.
`void` | `setHasCustomPrimaryKey(boolean hasCustomPrimaryKey)` PUBLIC: Used to set whether the primary key is custom (such as AccountPK) or non-custom (such as java.lang.Integer)
`void` | `setHomeInterface(java.lang.Class homeInterface)` PUBLIC: The home interface defines how a bean is accessed and queried.
`void` | `setHomeName(java.lang.String homeName)` PUBLIC: The home name is the name or URL that the bean's home is stored in JNDI under.
`void` | `setPrimaryKeyClass(java.lang.Class primaryKeyClass)` PUBLIC: The primary key class is the class that represents the bean's primary key.
`void` | `setRemoteInterface(java.lang.Class remoteInterface)` PUBLIC: The remote interface defines a bean's public interface.
`java.lang.Object` | `unwrapObject(java.lang.Object remote, Session session)` PUBLIC: Unwrap the object to return the implementation that is meant to be used by TopLink.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.toplink.descriptors.WrapperPolicy
`wrapObject`

Constructor Detail

### EJBWrapperPolicy

    public EJBWrapperPolicy()

  PUBLIC: Default constructor. Initialize.

Method Detail

### getHomeInterface

    public java.lang.Class getHomeInterface()

  PUBLIC: The home interface defines how a bean is accessed and queried. It includes the create and finder definitions.

### getHomeName

    public java.lang.String getHomeName()

  PUBLIC: The home name is the name or URL that the bean's home is stored in JNDI under.

### getPrimaryKeyClass

    public java.lang.Class getPrimaryKeyClass()

  PUBLIC: The primary key class is the class that represents the bean's primary key. It must have the same attributes as the bean's primary key attributes of the same type. Primary key classes can be shared, but normally are exclusive.

### getRemoteInterface

    public java.lang.Class getRemoteInterface()

  PUBLIC: The remote interface defines a bean's public interface.

### hasCustomPrimaryKey

    public boolean hasCustomPrimaryKey()

  PUBLIC: Answer whether the primary key is custom (such as AccountPK) or non-custom (such as java.lang.Integer)

### isTraversable

    public boolean isTraversable()

  REQUIRED: Return if the wrapped value should be traverse. Because normally the wrapped value is looked after independently it is not required to be traversed.
  Specified by:
    `isTraversable` in interface `WrapperPolicy`

### setHasCustomPrimaryKey

    public void setHasCustomPrimaryKey(boolean hasCustomPrimaryKey)

  PUBLIC: Used to set whether the primary key is custom (such as AccountPK) or non-custom (such as java.lang.Integer)

### setHomeInterface

    public void setHomeInterface(java.lang.Class homeInterface)

  PUBLIC: The home interface defines how a bean is accessed and queried. It includes the create and finder definitions.

### setHomeName

    public void setHomeName(java.lang.String homeName)

  PUBLIC: The home name is the name or URL that the bean's home is stored in JNDI under.

### setPrimaryKeyClass

    public void setPrimaryKeyClass(java.lang.Class primaryKeyClass)

  PUBLIC: The primary key class is the class that represents the bean's primary key. It must have the same number and type of attributes as the bean's primary key attributes. Primary key classes can be shared, but normally are exclusive.

### setRemoteInterface

    public void setRemoteInterface(java.lang.Class remoteInterface)

  PUBLIC: The remote interface defines a bean's public interface.

### unwrapObject

    public java.lang.Object unwrapObject(java.lang.Object remote,
                                         Session session)

  PUBLIC: Unwrap the object to return the implementation that is meant to be used by TopLink. The object may already be unwrapped in which case the object should be returned.
  Specified by:
    `unwrapObject` in interface `WrapperPolicy`
  Parameters:
    `remote` - the wrapped object
    `session` - the session to unwrap into

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD